
def random_hex_converter(hex_string, base):
    """
    Convert a hex string to a different base number system.

    Args:
        hex_string (str): The hex string to convert.
        base (int): The base to convert to.

    Returns:
        str: The converted number in the new base.
    """
    # Convert hex string to integer
    decimal_number = int(hex_string, 16)
    # Convert integer to the specified base
    converted_number = ''
    while decimal_number > 0:
        remainder = decimal_number % base
        if remainder < 10:
            converted_number = chr(ord('0') + remainder) + converted_number
        else:
            converted_number = chr(ord('A') + remainder - 10) + converted_number
        decimal_number = decimal_number // base
    return converted_number if converted_number else '0'



